Skip to main content
PATCH
/
v1
/
triggers
curl --request PATCH \
  --url https://brew.new/api/v1/triggers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "triggerEventId": "tri_xxx",
  "title": "Renamed"
}
'
{
  "triggerEventId": "<string>",
  "title": "<string>",
  "payloadSchema": {
    "fields": [
      {
        "key": "<string>",
        "required": true,
        "fallbackValue": "<string>"
      }
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "providerEventKey": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.brew.new/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Body

application/json
triggerEventId
string
required
Required string length: 1 - 256
title
string
Required string length: 1 - 120
description
string
Maximum string length: 2000
payloadSchema
object

Response

Updated row.

triggerEventId
string
required
Required string length: 1 - 256
title
string
required
Required string length: 1 - 120
provider
enum<string>
required
Available options:
brew_api,
clerk,
stripe,
shopify,
stytch,
supabase,
workos,
revenuecat,
custom
status
enum<string>
required
Available options:
enabled,
disabled
payloadSchema
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
Maximum string length: 2000
providerEventKey
string